%define oname   commonjs

Name:       ruby-%{oname}
Version:    0.2.7
Release:    %mkrel 1
Summary:    Provide access to your Ruby and Operating System runtime via the commonjs API
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/cowboyd/commonjs.rb
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Host CommonJS JavaScript environments in Ruby.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jan 01 2016 pterjan <pterjan> 0.2.7-1.mga6
+ Revision: 917523
- Update to 0.2.7

* Wed Oct 15 2014 umeabot <umeabot> 0.2.6-10.mga5
+ Revision: 749582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.6-9.mga5
+ Revision: 688770
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.2.6-8.mga4
+ Revision: 561809
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.2.6-7.mga4
+ Revision: 561083
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.2.6-6.mga4
+ Revision: 535314
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.2.6-5.mga4
+ Revision: 481918
- Rebuild for Ruby 2

* Wed Sep 11 2013 pterjan <pterjan> 0.2.6-4.mga4
+ Revision: 477438
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.2.6-3.mga3
+ Revision: 395780
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.2.6-2.mga3
+ Revision: 380720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.2.6-1.mga3
+ Revision: 313131
- imported package ruby-commonjs

